org.jboss.jca.common.api.metadata.resourceadapter

## Enum ConnectionDefinition.Tag

- java.lang.Object
- - java.lang.Enum<ConnectionDefinition.Tag>
  - - org.jboss.jca.common.api.metadata.resourceadapter.ConnectionDefinition.Tag

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ConnectionDefinition.Tag>
  Enclosing interface:
    ConnectionDefinition

      public static enum ConnectionDefinition.Tag
      extends java.lang.Enum<ConnectionDefinition.Tag>

  A Tag.
  Author:
    Stefano Maestri

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONFIG_PROPERTY` config-property tag
    `POOL` pool tag
    `RECOVERY` recovery tag
    `SECURITY` security tag
    `TIMEOUT` timeout tag
    `UNKNOWN` always first
    `VALIDATION` validation tag
    `XA_POOL` xa-pool tag

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConnectionDefinition.Tag` | `forName(java.lang.String localName)` Static method to get enum instance given localName XsdString
    `java.lang.String` | `getLocalName()` Get the local name of this element.
    `java.lang.String` | `toString()`
    `static ConnectionDefinition.Tag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ConnectionDefinition.Tag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final ConnectionDefinition.Tag UNKNOWN

      always first

    - #### CONFIG_PROPERTY

          public static final ConnectionDefinition.Tag CONFIG_PROPERTY

      config-property tag

    - #### XA_POOL

          public static final ConnectionDefinition.Tag XA_POOL

      xa-pool tag

    - #### POOL

          public static final ConnectionDefinition.Tag POOL

      pool tag

    - #### SECURITY

          public static final ConnectionDefinition.Tag SECURITY

      security tag

    - #### TIMEOUT

          public static final ConnectionDefinition.Tag TIMEOUT

      timeout tag

    - #### VALIDATION

          public static final ConnectionDefinition.Tag VALIDATION

      validation tag

    - #### RECOVERY

          public static final ConnectionDefinition.Tag RECOVERY

      recovery tag

  - ### Method Detail

    - #### values

          public static ConnectionDefinition.Tag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConnectionDefinition.Tag c : ConnectionDefinition.Tag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConnectionDefinition.Tag valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getLocalName

          public java.lang.String getLocalName()

      Get the local name of this element.
      Returns:
        the local name

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<ConnectionDefinition.Tag>`

    - #### forName

          public static ConnectionDefinition.Tag forName(java.lang.String localName)

      Static method to get enum instance given localName XsdString
      Parameters:
        `localName` - a XsdString used as localname (typically tag name as defined in xsd)
      Returns:
        the enum instance

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)